Bug 855109 - File capabilities check fails on 3.5.x kernels
Summary: File capabilities check fails on 3.5.x kernels
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxc
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-06 17:55 UTC by D. Marlin
Modified: 2013-12-14 03:27 UTC (History)
3 users (show)

Fixed In Version: lxc-0.9.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 20:10:39 UTC
Type: Bug


Attachments (Terms of Use)

Description D. Marlin 2012-09-06 17:55:56 UTC
Description of problem:

The File capabilities check in lxc-checkconfig appears to be broken for 3.x.y kernels.

KVER_MINOR=$($GREP '^# Linux' $CONFIG | \
    sed -r 's/.*2.6.([0-9]{2}).*/\1/')
echo -n "File capabilities: " &&
    [[ ${KVER_MINOR} < 33 ]] && is_enabled CONFIG_SECURITY_FILE_CAPABILITIES ||
    [[ ${KVER_MINOR} > 32 ]] &&  $SETCOLOR_SUCCESS && echo -e "enabled" &&
    $SETCOLOR_NORMAL

This appears to only work correctly on 2.6.x kernels.  sed returns the full "# Linux" string instead of the minor version for 3.x.y kernels, i.e.,

  echo $(grep '^# Linux' /boot/config-2.6.23.9-85.fc8 | sed -r 's/.*2.6.([0-9]{2}).*/\1/')
  23

  echo $(grep '^# Linux' /boot/config-3.3.7-1.fc17.i686 | sed -r 's/.*2.6.([0-9]{2}).*/\1/')
  # Linux/i386 3.3.7-1.fc17.i686 Kernel Configuration


Version-Release number of selected component (if applicable):

  kernel-3.x.y
  lxc-0.7.5-1.fc17


How reproducible:

  consistently


Steps to Reproduce:
1.  yum install lxc
2.  lxc-checkconfig 
3.
  

Actual results:

--- Misc ---
Veth pair device: enabled
Macvlan: enabled
Vlan: enabled
File capabilities: missing


Expected results:

--- Misc ---
Veth pair device: enabled
Macvlan: enabled
Vlan: enabled
File capabilities: enabled


Additional info:

Comment 1 Dwight Engen 2012-11-14 20:11:18 UTC
It looks like this has been fixed upstream with commit e4c0cf92

Comment 2 Fedora Update System 2013-03-02 15:14:55 UTC
lxc-0.8.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lxc-0.8.0-2.fc18

Comment 3 Fedora Update System 2013-03-02 15:15:21 UTC
lxc-0.8.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lxc-0.8.0-2.fc17

Comment 4 Fedora Update System 2013-03-03 22:26:12 UTC
Package lxc-0.8.0-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lxc-0.8.0-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3330/lxc-0.8.0-2.fc17
then log in and leave karma (feedback).

Comment 5 Fedora End Of Life 2013-07-04 07:47:03 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2013-08-01 20:10:42 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Fedora Update System 2013-09-04 18:17:07 UTC
lxc-0.9.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lxc-0.9.0-2.fc20

Comment 8 Fedora Update System 2013-09-04 18:17:44 UTC
lxc-0.9.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lxc-0.9.0-2.fc18

Comment 9 Fedora Update System 2013-09-04 18:18:20 UTC
lxc-0.9.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lxc-0.9.0-2.el6

Comment 10 Fedora Update System 2013-09-04 18:18:52 UTC
lxc-0.9.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lxc-0.9.0-2.fc19

Comment 11 Fedora Update System 2013-12-05 03:22:38 UTC
lxc-0.9.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-12-05 10:31:03 UTC
lxc-0.9.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-12-05 10:40:53 UTC
lxc-0.9.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-12-14 03:27:00 UTC
lxc-0.9.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.